Re: python bump


Martin Jansa
 

If you don't really need 3.8 and 3.7.5 from warrior would be good enough for you, then backporting it to thud was relatively straightforward as implemented in:
and as it's in a separate layer it doesn't make your main distro layer more ugly or difficult to maintain (just drop backports layers when upgrading to newer release instead of trying to find out all backported bits and pieces across a whole set of layers).

But even this "small" upgrade from 3.6 to 3.7 introduces ABI change as shown in:
so it's better to upgrade completely to a new release if possible at all.

On Tue, Nov 10, 2020 at 7:45 PM Marek Belisko <marek.belisko@...> wrote:
Hi,

I'm using poky release thud and would like to bump python3 to 3.8.x. I
took recipe from most recent poky version but I'm hitting issue with
e.g. meson build like:
Log data follows:
| DEBUG: Executing shell function do_configure
| Traceback (most recent call last):
|   File "setup.py", line 25, in <module>
|     from setuptools import setup
| ModuleNotFoundError: No module named 'setuptools'

Are there some other things I need to take care when want to bump python3?

Thanks and BR,

marek

--
as simple and primitive as possible
-------------------------------------------------
Marek Belisko - OPEN-NANDRA
Freelance Developer

Ruska Nova Ves 219 | Presov, 08005 Slovak Republic
Tel: +421 915 052 184
skype: marekwhite
twitter: #opennandra
web: http://open-nandra.com



Join yocto@lists.yoctoproject.org to automatically receive all group messages.